* -------------- glb_2 result parameter assignments ----------------------

$ontext

 This file records ALL the results for ALL the model variables. The results
are sent to a GDX file.

 The underlying logic is that ALL ANALYTICAL results can be derived using
the results for the variables and the various model parameters.
 Hence the ANALYSIS of the results can be divided into two phases; in the
first, whihc is this file, the varibale results are recorded, while in the
second the analysis is carried out.

$offtext

* Assigning levels results to the result parameters for all variables

* -------- 7a. Results in Levels

IF(simr(sim),

* #### Exchange Rate Block

 resER(r,clos,sim)            = ER.L(r) ;

* ######## TRADE BLOCK

* #### Exports Block

 resPER(c,w,r,clos,sim)       = PER.L(c,w,r) ;
 resPE(c,r,clos,sim)          = PE.L(c,r) ;
 resPWE(c,w,r,clos,sim)       = PWE.L(c,w,r) ;

 resPD(c,r,clos,sim)          = PD.L(c,r) ;

 resQER(c,w,r,clos,sim)       = QER.L(c,w,r) ;
 resQE(c,r,clos,sim)          = QE.L(c,r) ;
 resQD(c,r,clos,sim)          = QD.L(c,r) ;


* #### Imports Block

 resPMR(w,c,r,clos,sim)       = PMR.L(w,c,r) ;
 resPM(c,r,clos,sim)          = PM.L(c,r) ;
 resPML(c,r,clos,sim)          = PML.L(c,r) ;
 resPMS(c,r,clos,sim)          = PMS.L(c,r) ;
 resPWM(w,c,r,clos,sim)       = PWM.L(w,c,r) ;
 resPWMFOB(w,c,r,clos,sim)    = PWMFOB.L(w,c,r) ;

 resPT(c,r,clos,sim)          = PT.L(c,r) ;

 resQQ(c,r,clos,sim)          = QQ.L(c,r) ;
 resQM(c,r,clos,sim)          = QM.L(c,r) ;
 resQML(c,r,clos,sim)          = QML.L(c,r) ;
 resQMS(c,r,clos,sim)          = QMS.L(c,r) ;
 resQMR(w,c,r,clos,sim)       = QMR.L(w,c,r) ;

* trade margin quantity
 resQT(w,c,r,clos,sim)        = QT.L(w,c,r) ;

* ######## COMMODITY PRICE BLOCK

 resPQS(c,r,clos,sim)         = PQS.L(c,r) ;
 resPQD(c,r,clos,sim)         = PQD.L(c,r) ;
 resPXC(c,r,clos,sim)         = PXC.L(c,r) ;

* ######## NUMERAIRE PRICE BLOCK

 resCPI(r,clos,sim)           = CPI.L(r) ;
 resPPI(r,clos,sim)           = PPI.L(r) ;
 resERPI(clos,sim)            = ERPI.L ;

* ######## PRODUCTION BLOCK

 resPX(a,r,clos,sim)          = PX.L(a,r) ;

* CES aggregation functions for Level 1 of production nest

 resPVA(a,r,clos,sim)         = PVA.L(a,r) ;
 resPINT(a,r,clos,sim)        = PINT.L(a,r) ;

 resADX(a,r,clos,sim)         = ADX.L(a,r) ;

 resADXADJ(r,clos,sim)        = ADXADJ.L(r) ;
 resDADX(r,clos,sim)          = DADX.L(r) ;

 resQX(a,r,clos,sim)          = QX.L(a,r) ;
 resQVA(a,r,clos,sim)         = QVA.L(a,r) ;

* Leontief aggregation functions for Level 1 of production nest

 resQINT(a,r,clos,sim)        = QINT.L(a,r) ;

* CES aggregation functions for Level 2 of production nest

 resADVA(a,r,clos,sim)        = ADVA.L(a,r) ;

 resADVAADJ(r,clos,sim)       = ADVAADJ.L(r) ;
 resDADVA(r,clos,sim)         = DADVA.L(r) ;

 resADFD(ff,a,r,clos,sim)     = ADFD.L(ff,a,r) ;

 resADFDfADJ(f,clos,sim)      = ADFDfADJ.L(f) ;
 resADFDaADJ(a,clos,sim)      = ADFDaADJ.L(a) ;
 resADFDrADJ(r,clos,sim)      = ADFDrADJ.L(r) ;

 resWF(ff,r,clos,sim)         = WF.L(ff,r) ;
 resWFDIST(ff,a,r,clos,sim)   = WFDIST.L(ff,a,r) ;
 resFD(ff,a,r,clos,sim)       = FD.L(ff,a,r) ;
 resFS(ff,r,clos,sim)         = FS.L(ff,r) ;

* Unemployment

 resUNEMP(f,r,clos,sim)       = UNEMP.L(f,r) ;

* Intermediate Input Demand

 resQINTD(c,r,clos,sim)       = QINTD.L(c,r) ;

* Commodity Output

 resQXC(c,r,clos,sim)         = QXC.L(c,r) ;

* ######## FACTOR BLOCK

 resYF(f,r,clos,sim)          = YF.L(f,r) ;
 resYFDIST(f,r,clos,sim)      = YFDIST.L(f,r) ;

* ######## HOUSEHOLD BLOCK
* ## Household Income

 resYH(h,r,clos,sim)          = YH.L(h,r) ;

* Household Expenditure

 resHEXP(h,r,clos,sim)        = HEXP.L(h,r) ;
 resQCD(c,h,r,clos,sim)       = QCD.L(c,h,r) ;

* ######## GOVERNMENT BLOCK

* #### Government Income Block

* ## Government Taxes

 resMTAX(r,clos,sim)          = MTAX.L(r) ;
 resMSTAX(r,clos,sim)         = MSTAX.L(r) ;
 resETAX(r,clos,sim)          = ETAX.L(r) ;
 resSTAX(r,clos,sim)          = STAX.L(r) ;
 resVTAX(r,clos,sim)          = VTAX.L(r) ;
 resITAX(r,clos,sim)          = ITAX.L(r) ;
 resFYTAX(r,clos,sim)         = FYTAX.L(r) ;
 resHTAX(r,clos,sim)          = HTAX.L(r) ;
 resFTAX(r,clos,sim)          = FTAX.L(r) ;

 resTEADJ(r,clos,sim)         = TEADJ.L(r) ;
 resTMADJ(r,clos,sim)         = TMADJ.L(r) ;
 resTMSADJ(r,clos,sim)        = TMSADJ.L(r) ;
 resTSADJ(r,clos,sim)         = TSADJ.L(r) ;
 resTVADJ(r,clos,sim)         = TVADJ.L(r) ;
 resTXADJ(r,clos,sim)         = TXADJ.L(r) ;
 resTYFADJ(r,clos,sim)        = TYFADJ.L(r) ;
 resTYHADJ(r,clos,sim)        = TYHADJ.L(r) ;
 resTFADJ(r,clos,sim)         = TFADJ.L(r) ;

 resDTE(r,clos,sim)           = DTE.L(r) ;
 resDTM(r,clos,sim)           = DTM.L(r) ;
 resDTMS(r,clos,sim)          = DTMS.L(r) ;
 resDTS(r,clos,sim)           = DTS.L(r) ;
 resDTV(r,clos,sim)           = DTV.L(r) ;
 resDTX(r,clos,sim)           = DTX.L(r) ;
 resDTYF(r,clos,sim)          = DTYF.L(r) ;
 resDTYH(r,clos,sim)          = DTYH.L(r) ;
 resDTF(r,clos,sim)           = DTF.L(r) ;

 resTE(c,w,r,clos,sim)         = TE.L(c,w,r) ;
 resTM(w,c,r,clos,sim)         = TM.L(w,c,r) ;
 resTMS(w,c,r,clos,sim)        = TMS.L(w,c,r) ;
 resTS(c,r,clos,sim)          = TS.L(c,r) ;
 resTV(c,r,clos,sim)          = TV.L(c,r) ;
 resTX(a,r,clos,sim)          = TX.L(a,r) ;
 resTYF(f,r,clos,sim)         = TYF.L(f,r) ;
 resTYH(h,r,clos,sim)         = TYH.L(h,r) ;
 resTF(f,a,r,clos,sim)        = TF.L(f,a,r) ;

* ## Government Income

 resYG(r,clos,sim)            = YG.L(r) ;

* #### Government Expenditure Block

 resQGD(c,r,clos,sim)         = QGD.L(c,r) ;
 resQGDADJ(r,clos,sim)        = QGDADJ.L(r) ;
 resEG(r,clos,sim)            = EG.L(r) ;

* ######## KAPITAL BLOCK

* ## Savings Block

 resSHH(h,r,clos,sim)         = SHH.L(h,r) ;
 resSADJ(r,clos,sim)          = SADJ.L(r) ;
 resDSHH(r,clos,sim)          = DSHH.L(r) ;
 resTOTSAV(r,clos,sim)        = TOTSAV.L(r) ;

* ## Investment Block

 resQINVD(c,r,clos,sim)       = QINVD.L(c,r) ;
 resINVEST(r,clos,sim)        = INVEST.L(r) ;
 resIADJ(r,clos,sim)          = IADJ.L(r) ;

* ######## MARKET CLEARING BLOCK

* ##### Account Closure

 resKAPGOV(r,clos,sim)        = KAPGOV.L(r) ;
 resKAPWOR(r,clos,sim)        = KAPWOR.L(r) ;
 resKAPREG(w,r,clos,sim)       = KAPREG.L(w,r) ;

* #### Absorption Closure

 resVFDOMD(r,clos,sim)        = VFDOMD.L(r) ;
 resINVESTSH(r,clos,sim)      = INVESTSH.L(r) ;
 resVGDSH(r,clos,sim)         = VGDSH.L(r) ;

* ##### Slack

 resWALRAS(r,clos,sim)        = WALRAS.L(r) ;
 resKAPWORSYS(clos,sim)       = KAPWORSYS.L ;
 resGLOBESLACK(clos,sim)      = GLOBESLACK.L ;

* Close IF
 ) ;

* -------------- end of glb2 result parameter assignments ----------------